curl
curl --request POST \
--url https://data.us.algolia.com/1/destinations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"type": "search",
"name": "lorem",
"input": {
"indexName": "lorem",
"recordType": "product",
"attributesToExclude": [
"lorem"
]
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"transformationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.CreateDestinationAsync(
new DestinationCreate
{
Type = Enum.Parse<DestinationType>("Search"),
Name = "destinationName",
Input = new DestinationInput { IndexName = "<YOUR_INDEX_NAME>" },
AuthenticationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.createDestination(
destinationCreate: DestinationCreate(
type: DestinationType.fromJson("search"),
name: "destinationName",
input: DestinationInput(
indexName: "<YOUR_INDEX_NAME>",
),
authenticationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.CreateDestination(client.NewApiCreateDestinationRequest(
ingestion.NewEmptyDestinationCreate().SetType(ingestion.DestinationType("search")).SetName("destinationName").SetInput(
ingestion.NewEmptyDestinationInput().SetIndexName("<YOUR_INDEX_NAME>")).SetAuthenticationID("6c02aeb1-775e-418e-870b-1faccd4b2c0f")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
DestinationCreateResponse response = client.createDestination(
new DestinationCreate()
.setType(DestinationType.SEARCH)
.setName("destinationName")
.setInput(new DestinationInput().setIndexName("<YOUR_INDEX_NAME>"))
.setAuthenticationID("6c02aeb1-775e-418e-870b-1faccd4b2c0f")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.createDestination({
type: 'search',
name: 'destinationName',
input: { indexName: 'full_name______' },
authenticationID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.createDestination(
destinationCreate =
DestinationCreate(
type = DestinationType.entries.first { it.value == "search" },
name = "destinationName",
input = DestinationInput(indexName = "<YOUR_INDEX_NAME>"),
authenticationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->createDestination(
['type' => 'search',
'name' => 'destinationName',
'input' => ['indexName' => '<YOUR_INDEX_NAME>',
],
'authenticationID' => '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.create_destination(
destination_create={
"type": "search",
"name": "destinationName",
"input": {
"indexName": "<YOUR_INDEX_NAME>",
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.create_destination(
Algolia::Ingestion::DestinationCreate.new(
type: "search",
name: "destinationName",
input: Algolia::Ingestion::DestinationInput.new(index_name: "<YOUR_INDEX_NAME>"),
authentication_id: "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.createDestination(
destinationCreate = DestinationCreate(
`type` = DestinationType.withName("search"),
name = "destinationName",
input = DestinationInput(
indexName = "<YOUR_INDEX_NAME>"
),
authenticationID = Some("6c02aeb1-775e-418e-870b-1faccd4b2c0f")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.createDestination(destinationCreate: DestinationCreate(
type: DestinationType.search,
name: "destinationName",
input: DestinationInput(indexName: "<YOUR_INDEX_NAME>"),
authenticationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
))
// print the response
print(response){
"createdAt": "<string>",
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"name": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Destinations
Create a destination
Creates a new destination.
POST
/
1
/
destinations
curl
curl --request POST \
--url https://data.us.algolia.com/1/destinations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"type": "search",
"name": "lorem",
"input": {
"indexName": "lorem",
"recordType": "product",
"attributesToExclude": [
"lorem"
]
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"transformationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.CreateDestinationAsync(
new DestinationCreate
{
Type = Enum.Parse<DestinationType>("Search"),
Name = "destinationName",
Input = new DestinationInput { IndexName = "<YOUR_INDEX_NAME>" },
AuthenticationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.createDestination(
destinationCreate: DestinationCreate(
type: DestinationType.fromJson("search"),
name: "destinationName",
input: DestinationInput(
indexName: "<YOUR_INDEX_NAME>",
),
authenticationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.CreateDestination(client.NewApiCreateDestinationRequest(
ingestion.NewEmptyDestinationCreate().SetType(ingestion.DestinationType("search")).SetName("destinationName").SetInput(
ingestion.NewEmptyDestinationInput().SetIndexName("<YOUR_INDEX_NAME>")).SetAuthenticationID("6c02aeb1-775e-418e-870b-1faccd4b2c0f")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
DestinationCreateResponse response = client.createDestination(
new DestinationCreate()
.setType(DestinationType.SEARCH)
.setName("destinationName")
.setInput(new DestinationInput().setIndexName("<YOUR_INDEX_NAME>"))
.setAuthenticationID("6c02aeb1-775e-418e-870b-1faccd4b2c0f")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.createDestination({
type: 'search',
name: 'destinationName',
input: { indexName: 'full_name______' },
authenticationID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.createDestination(
destinationCreate =
DestinationCreate(
type = DestinationType.entries.first { it.value == "search" },
name = "destinationName",
input = DestinationInput(indexName = "<YOUR_INDEX_NAME>"),
authenticationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->createDestination(
['type' => 'search',
'name' => 'destinationName',
'input' => ['indexName' => '<YOUR_INDEX_NAME>',
],
'authenticationID' => '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.create_destination(
destination_create={
"type": "search",
"name": "destinationName",
"input": {
"indexName": "<YOUR_INDEX_NAME>",
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.create_destination(
Algolia::Ingestion::DestinationCreate.new(
type: "search",
name: "destinationName",
input: Algolia::Ingestion::DestinationInput.new(index_name: "<YOUR_INDEX_NAME>"),
authentication_id: "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.createDestination(
destinationCreate = DestinationCreate(
`type` = DestinationType.withName("search"),
name = "destinationName",
input = DestinationInput(
indexName = "<YOUR_INDEX_NAME>"
),
authenticationID = Some("6c02aeb1-775e-418e-870b-1faccd4b2c0f")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.createDestination(destinationCreate: DestinationCreate(
type: DestinationType.search,
name: "destinationName",
input: DestinationInput(indexName: "<YOUR_INDEX_NAME>"),
authenticationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
))
// print the response
print(response){
"createdAt": "<string>",
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"name": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Required ACL:
addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Body
application/json
API request body for creating a new destination.
Show child attributes
Show child attributes
Descriptive name for the resource.
Destination type.
-
search. Data is stored in an Algolia index. -
insights. Data is recorded as user events in the Insights API.
Available options:
search, insights Universally unique identifier (UUID) of an authentication resource.
Example:
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Universally unique identifier (UUID) of a transformation.
Response
OK
API response for creating a new destination.
Last modified on March 23, 2026
Was this page helpful?
āI